# Sample code: Compute the yaw pitch and roll of a face image

import tfsdk
import os

options = tfsdk.ConfigurationOptions()
# Can set configuration options here
# ex:
# options.smallest_face_height = 40
# options.fd_mode = tfsdk.FACEDETECTIONMODE.VERSATILE
# options.fd_filter = tfsdk.FACEDETECTIONFILTER.BALANCED
# options.fr_model = tfsdk.FACIALRECOGNITIONMODEL.FULL

sdk = tfsdk.SDK(options)

# TODO: export your license token as TRUEFACE_TOKEN environment variable
is_valid = sdk.set_license(os.environ['TRUEFACE_TOKEN'])
if (is_valid == False):
    print("Invalid License Provided")
    print("Be sure to export your license token as TRUEFACE_TOKEN")
    quit()

# Load the input image
res = sdk.set_image("../images/armstrong_1.jpg")
if (res != tfsdk.ERRORCODE.NO_ERROR):
	print("Unable to set image 1")
	quit()

# detect the largest face
found, face_bounding_box = sdk.detect_largest_face()

if found == False:
    print("Unable to detect face")
    quit()

res, yaw, pitch, roll = sdk.estimate_head_orientation(face_bounding_box)
if (res != tfsdk.ERRORCODE.NO_ERROR):
    print("Unable to compute orientation")
    quit();

print('yaw: ', yaw, ' radians')
print('pitch: ', pitch, ' radians')
print('roll: ', roll, ' radians')



